<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The auth-constraintType indicates the user roles that  should be permitted access to this resource  collection. The role-name used here must either correspond  to the role-name of one of the security-role elements  defined for this web application, or be the specially  reserved role-name  *  that is a compact syntax for  indicating all roles in the web application. If both  *   and rolenames appear, the container interprets this as all  roles.  If no roles are defined, no user is allowed access  to the portion of the web application described by the  containing security-constraint.  The container matches  role names case sensitively when determining access.">
<meta name="KeyWords" content="AuthConstraint,Class AuthConstraint,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;AuthConstraint&nbsp;{Java}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;auth-constraintType&nbsp;indicates&nbsp;the&nbsp;user&nbsp;roles&nbsp;that
<BR>should&nbsp;be&nbsp;permitted&nbsp;access&nbsp;to&nbsp;this&nbsp;resource
<BR>collection.&nbsp;The&nbsp;role-name&nbsp;used&nbsp;here&nbsp;must&nbsp;either&nbsp;correspond
<BR>to&nbsp;the&nbsp;role-name&nbsp;of&nbsp;one&nbsp;of&nbsp;the&nbsp;security-role&nbsp;elements
<BR>defined&nbsp;for&nbsp;this&nbsp;web&nbsp;application,&nbsp;or&nbsp;be&nbsp;the&nbsp;specially
<BR>reserved&nbsp;role-name&nbsp;"*"&nbsp;that&nbsp;is&nbsp;a&nbsp;compact&nbsp;syntax&nbsp;for
<BR>indicating&nbsp;all&nbsp;roles&nbsp;in&nbsp;the&nbsp;web&nbsp;application.&nbsp;If&nbsp;both&nbsp;"*"
<BR>and&nbsp;rolenames&nbsp;appear,&nbsp;the&nbsp;container&nbsp;interprets&nbsp;this&nbsp;as&nbsp;all
<BR>roles.&nbsp;&nbsp;If&nbsp;no&nbsp;roles&nbsp;are&nbsp;defined,&nbsp;no&nbsp;user&nbsp;is&nbsp;allowed&nbsp;access
<BR>to&nbsp;the&nbsp;portion&nbsp;of&nbsp;the&nbsp;web&nbsp;application&nbsp;described&nbsp;by&nbsp;the
<BR>containing&nbsp;security-constraint.&nbsp;&nbsp;The&nbsp;container&nbsp;matches
<BR>role&nbsp;names&nbsp;case&nbsp;sensitively&nbsp;when&nbsp;determining&nbsp;access.</font><BR><BR>
</body>
</html>
